Bug 2050118 - 4.10: oVirt CSI driver should use the trusted CA bundle when cluster proxy is configured
Summary: 4.10: oVirt CSI driver should use the trusted CA bundle when cluster proxy is...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.10
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.10.0
Assignee: Jan Safranek
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On: 2049169
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-03 09:46 UTC by OpenShift BugZilla Robot
Modified: 2022-04-21 13:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-21 13:15:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovirt-csi-driver-operator pull 84 0 None open [release-4.10] Bug 2050118: Add custom CA bundle support 2022-02-03 09:46:20 UTC
Red Hat Product Errata RHSA-2022:1356 0 None None None 2022-04-21 13:16:05 UTC

Description OpenShift BugZilla Robot 2022-02-03 09:46:08 UTC
+++ This bug was initially created as a clone of Bug #2049169 +++

Description of problem:
When trusted CA bundle is configured, oVirt CSI driver should use it.

Version-Release number of selected component (if applicable):
4.10.nightly

How reproducible:
always

Steps to Reproduce:
1. Configure HTTPS proxy with a custom CA.

Actual results:
The CSI driver does not use the CA bundle and can't connect through it.

This is fallout of https://bugzilla.redhat.com/show_bug.cgi?id=2038934, we forgot about oVirt when updating library-go in all CSI driver operators.

Comment 6 Wei Duan 2022-04-14 04:43:57 UTC
Same verification way with BZ2049169, verified passed.

Comment 9 errata-xmlrpc 2022-04-21 13:15:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.10 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:1356


Note You need to log in before you can comment on or make changes to this bug.